Page MenuHomePhabricator

Store the detailed system information inside of model files.
Closed, ResolvedPublic

Description

We already store:

  • The timestamp of creation
  • The version of revscoring

Maybe also store:

  • Hostname
  • Username (on host)
  • A PAWS "execution ID" that represents the kernel execution that trained the scorer model

Event Timeline

Halfak created this task.Mar 11 2017, 1:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2017, 1:01 AM

At some point in the future, I think we should also have T160224: Store docker images in a repo that replicate the train/test/deploy environment for models. These strategies will help us track issues and ensure ~deterministic scoring behavior.

Halfak updated the task description. (Show Details)
Halfak updated the task description. (Show Details)Mar 11 2017, 1:24 AM
Halfak triaged this task as Low priority.Mar 16 2017, 2:40 PM
Halfak added a project: good first task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 16 2017, 2:40 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJun 14 2017, 8:57 PM
awight added a subscriber: awight.Jul 5 2017, 9:19 PM

PR #307 resolves this?

Halfak closed this task as Resolved.Jul 12 2017, 10:49 PM